<template>
  <div id="Hotline" class="hotline">
    <div class="hotline__container">
      <el-row justify="center">
        <el-col :md="24" :lg="12">
          <el-row class="hotline__wrapper">
            <h1>
              Ada Pertanyaan Seputar
              <div class="text-blue-700">Aplikasi Sapawarga?</div>
            </h1>
            <p>Hubungi Hotline kami untuk informasi lebih lanjut.</p>
            <jds-button variant="secondary" @click="callAdmin()">
              Hubungi Kami
            </jds-button>
          </el-row>
        </el-col>

        <el-col :md="24" :lg="12">
          <el-image class="hotline-img" :src="img" fit="contain" />
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Hotline',
  data() {
    return {
      img: require('@/assets/landing-page/hotline.png')
    }
  },
  methods: {
    callAdmin() {
      const link = 'https://s.id/HotlineSW'
      window.open(link, '_blank')
    }
  }
}
</script>

<style lang="scss" scoped>
.hotline {
  background: transparent;
  &__container {
    padding: 50px 120px;
  }
  .hotline-img {
    width: auto;
    height: 345px;
  }
  &__wrapper {
    padding: 24px;
  }
}

h1 {
  font-family: Lora, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 60px;
  margin: 0;
}

p {
  font-family: Roboto, sans-serif;
  font-style: normal;
  line-height: 1.5em;
  font-size: 21px;
}

.jds-button--secondary {
  color: #1976D2;
  border-color: #1976D2;
  &:hover {
    background-color: rgba(25, 118, 210, 0.2);
  }
}

@media screen and (max-width: 600px) {
  .hotline {
    &__container {
      padding: 30px;
    }
    &__wrapper {
      padding: 0;
    }
    .hotline-img {
      width: auto;
      height: 300px;
    }
  }

  h1 {
    font-size: 24px;
    line-height: 34px;
    text-align: center;
  }

  p {
    font-size: 14px;
    text-align: center;
  }
}
</style>
